Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_LocalObject Class Reference

`#include <LocalObject.h>`

Inheritance diagram for CORBA_LocalObject

[legend]
Collaboration diagram for CORBA_LocalObject:

[legend]
List of all members.

## Public Types
typedef CORBA_LocalObject_ptr | _ptr_type
| Useful for template programming.
typedef CORBA_LocalObject_var | _var_type
## Public Methods
virtual | ~CORBA_LocalObject (void)
| Destructor.
virtual CORBA::Boolean | _non_existent (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
| Always returns false.
virtual CORBA::ImplementationDef_ptr | _get_implementation (CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
| Throws CORBA::NO_IMPLEMENT.
virtual CORBA_InterfaceDef_ptr | _get_interface ( CORBA_Environment &ACE_TRY_ENV = TAO_default_environment () )
| Gets info about object from the Interface Repository.
virtual void | _create_request (CORBA::Context_ptr ctx, const CORBA::Char *operation, CORBA::NVList_ptr arg_list, CORBA::NamedValue_ptr result, CORBA::Request_ptr &request, CORBA::Flags req_flags, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
| Throws NO_IMPLEMENT.
virtual void | _create_request (CORBA::Context_ptr ctx, const CORBA::Char *operation, CORBA::NVList_ptr arg_list, CORBA::NamedValue_ptr result, CORBA::ExceptionList_ptr exclist, CORBA::ContextList_ptr ctxtlist, CORBA::Request_ptr &request, CORBA::Flags req_flags, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual CORBA::Request_ptr | _request (const CORBA::Char *operation, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
| Throws NO_IMPLEMENT.
virtual CORBA::ULong | _hash (CORBA::ULong maximum, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
virtual CORBA::Boolean | _is_equivalent (CORBA_Object_ptr other_obj, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ()) ACE_THROW_SPEC (())
virtual void | _add_ref (void)
| Increment the reference count.
virtual void | _remove_ref (void)
| Decrement the reference count.
virtual TAO_ObjectKey* | _key (CORBA_Environment &ACE_TRY_ENV)
| Throws CORBA::NO_IMPLEMENT.
## Static Public Methods
CORBA_LocalObject_ptr | _duplicate (CORBA_LocalObject_ptr obj)
| Increment the ref count.
CORBA_LocalObject_ptr | _nil (void)
| Return a NIL object.
CORBA_LocalObject_ptr | _narrow (CORBA::Object_ptr obj, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
CORBA_LocalObject_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA_Environment &ACE_TRY_ENV = TAO_default_environment ())
| No-op it is just here to simplify some templates.
## Protected Methods
| CORBA_LocalObject (void)
| Default constructor. More...
## Private Methods
Unimplemented methods
| CORBA_LocalObject (const CORBA_LocalObject &)
CORBA_LocalObject& | operator= (const CORBA_LocalObject &)

## Detailed Description

Note:
  NW: It is not clear whether minimum CORBA should support LocalObject or not. I think it should.

## Member Typedef Documentation

typedef CORBA_LocalObject_ptr CORBA_LocalObject::_ptr_type

| Useful for template programming. Reimplemented from CORBA_Object.

typedef CORBA_LocalObject_var CORBA_LocalObject::_var_type

| Reimplemented from CORBA_Object.

## Constructor & Destructor Documentation

CORBA_LocalObject::~CORBA_LocalObject ( | void )`[virtual]`

| Destructor.

ACE_INLINE CORBA_LocalObject::CORBA_LocalObject ( | void )`[protected]`

| Default constructor. Make it protected to prevent instantiation of this class.

CORBA_LocalObject::CORBA_LocalObject ( | const CORBA_LocalObject & )`[private]`

## Member Function Documentation

void CORBA_LocalObject::_add_ref ( | void )`[virtual]`

| Increment the reference count. Reimplemented from CORBA_Object. Reimplemented in TAO_Local_RefCounted_Object.

void CORBA_LocalObject::_create_request ( | CORBA::Context_ptr ctx,
| const CORBA::Char * operation,
| CORBA::NVList_ptr arg_list,
| CORBA::NamedValue_ptr result,
| CORBA::ExceptionList_ptr exclist,
| CORBA::ContextList_ptr ctxtlist,
| CORBA::Request_ptr & request,
| CORBA::Flags req_flags,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

void CORBA_LocalObject::_create_request ( | CORBA::Context_ptr ctx,
| const CORBA::Char * operation,
| CORBA::NVList_ptr arg_list,
| CORBA::NamedValue_ptr result,
| CORBA::Request_ptr & request,
| CORBA::Flags req_flags,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Throws NO_IMPLEMENT.

ACE_INLINE CORBA_LocalObject_ptr CORBA_LocalObject::_duplicate ( | CORBA_LocalObject_ptr obj )`[static]`

| Increment the ref count.

CORBA::ImplementationDef_ptr CORBA_LocalObject::_get_implementation ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA_Object.

CORBA_InterfaceDef_ptr CORBA_LocalObject::_get_interface ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Gets info about object from the Interface Repository. Reimplemented from CORBA_Object.

CORBA::ULong CORBA_LocalObject::_hash ( | CORBA::ULong maximum,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Return a hash value for this object. The hash is based on the address of the object. On non-32 bit platforms, the hash may be non-unique. Reimplemented from CORBA_Object.

CORBA::Boolean CORBA_LocalObject::_is_equivalent ( | CORBA_Object_ptr other_obj,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Try to determine if this object is the same as <other_obj>. This method relies on the representation of the object reference's private state. Since that changes easily (when different ORB protocols are in use) there is no default implementation.

TAO_ObjectKey * CORBA_LocalObject::_key ( | CORBA_Environment & ACE_TRY_ENV )`[virtual]`

| Throws CORBA::NO_IMPLEMENT. Reimplemented from CORBA_Object.

CORBA_LocalObject_ptr CORBA_LocalObject::_narrow ( | CORBA::Object_ptr obj,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| @ Narrowing a CORBA_LocalObject to a CORBA_Object is broken right now. The solution seems to be making CORBA_Object an abstract base class and create a CORBA_RemoteObject for regular object. Or, even easier, add a <is_local> member into CORBA_Object. I'll take the easier route for now.

ACE_INLINE CORBA_LocalObject_ptr CORBA_LocalObject::_nil ( | void )`[static]`

| Return a NIL object. Reimplemented from CORBA_Object.

CORBA::Boolean CORBA_LocalObject::_non_existent ( | CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Always returns false. Reimplemented from CORBA_Object.

void CORBA_LocalObject::_remove_ref ( | void )`[virtual]`

| Decrement the reference count. Reimplemented from CORBA_Object. Reimplemented in TAO_Local_RefCounted_Object.

CORBA::Request_ptr CORBA_LocalObject::_request ( | const CORBA::Char * operation,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[virtual]`

| Throws NO_IMPLEMENT.

CORBA_LocalObject_ptr CORBA_LocalObject::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA_Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

| No-op it is just here to simplify some templates.

CORBA_LocalObject & CORBA_LocalObject::operator= ( | const CORBA_LocalObject & )`[private]`

The documentation for this class was generated from the following files:

- LocalObject.h
- LocalObject.cpp
- LocalObject.i